Bug 1015484 - RBAC: access permission changed for JMX and Security Subsystem
RBAC: access permission changed for JMX and Security Subsystem
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER5
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 07:25 EDT by Jakub Cechacek
Modified: 2013-12-15 11:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-249 Major Resolved Access permission changed for JMX and Security Subsystem 2013-11-21 18:15:57 EST

  None (edit)
Description Jakub Cechacek 2013-10-04 07:25:04 EDT
"Profile - Subsystems - Core -JMX" and "Profile - Subsystem -Security - Security  subystem" sections in console were inaccessible in ER3 build, however in ER4 these resources are accessible. 

Was this change intentional?
Comment 1 Jakub Cechacek 2013-10-04 07:30:36 EDT
This affect roles with no access to sensitive resources (Maintainer, Monitor, Operator, Deployer)
Comment 2 Heiko Braun 2013-10-04 08:05:13 EDT
i did review the permissions again. according to my knowledge, access to these two resources (as they are presented in the UI) is correct.
Comment 3 JBoss JIRA Server 2013-10-04 09:15:04 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-249 to Resolved
Comment 4 Jakub Cechacek 2013-10-07 03:42:31 EDT
@Heiko  Well, in ER3 access to these subsystems was restricted.
Comment 5 Jakub Cechacek 2013-10-08 04:53:08 EDT
Verified for EAP 6.2.0.ER5 - as Heiko commented that this behavior is intended

Note You need to log in before you can comment on or make changes to this bug.